Packages - Packaging Request #1361

xf86-video-sisusb belongs in the 'xorg-drivers' package group
2017-06-03 10:27 AM - bill-auger

Status: not-a-bug % Done: 0%
Priority: bug

Assignee:

Category:

Description

the "xorg-drivers' package group includes all available i686 and x86_64 packages named 'xf86-video-*' except for xf86-video-sisusb -
presumably this is an oversight

but noting that about 20 drivers were dropped recently (see screenshot) - another possibility is that this package was intended to be
dropped but was missed
History

#1 - 2017-06-03 07:20 PM - ovruni

https://www.parabola.nu/news/xorg-server-1191-is-now-in-extra/

#2 - 2017-06-04 03:50 AM - bill-auger

ovruni -

that page indicates that the package 'xf86-video-sis' was deprecated - that is a different package than 'xf86-video-sisusb' - is still available in the
repos but is the only 'xf86-video-*' driver that is not required by the 'xorg-drivers' meta-package

presumably this is an oversight - either it should be part of the 'xorg-drivers' meta-package like all of the other supported drivers or it should be
deprecated like the other un-supported drivers

#3 - 2017-06-04 05:11 PM - ovruni

xf86-video-sisusb comes from Arch

#4 - 2017-07-26 09:51 AM - ovruni

- Status changed from open to not-a-bug
